Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class SeamExpressionFactory

    java.lang.Object
      javax.el.ExpressionFactory
          org.jboss.seam.jsf.SeamExpressionFactory

    public class SeamExpressionFactory

extends javax.el.ExpressionFactory

This ExpressionFactory replaces the one normally used in Facelets. It recognizes if an EL expression is using params. If so, it will return a special implementation of MethodExpression or ValueExpression to handle it.

Author:
  Stan Silvert

Field Summary
`static javax.el.ExpressionFactory` | `INSTANCE`

Constructor Summary
`SeamExpressionFactory()`
`SeamExpressionFactory(javax.el.ExpressionFactory expressionFactory)`

Method Summary
`Object` | `coerceToType(Object obj, Class targetType)`
`javax.el.MethodExpression` | `createMethodExpression(javax.el.ELContext elContext, String expression, Class returnType, Class[] paramTypes)`
`javax.el.ValueExpression` | `createValueExpression(javax.el.ELContext elContext, String expression, Class expectedType)`
`javax.el.ValueExpression` | `createValueExpression(Object instance, Class expectedType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final javax.el.ExpressionFactory INSTANCE

Constructor Detail

### SeamExpressionFactory

    public SeamExpressionFactory(javax.el.ExpressionFactory expressionFactory)

### SeamExpressionFactory

    public SeamExpressionFactory()

Method Detail

### coerceToType

    public Object coerceToType(Object obj,
                               Class targetType)

  Specified by:
    `coerceToType` in class `javax.el.ExpressionFactory`

### createMethodExpression

    public javax.el.MethodExpression createMethodExpression(javax.el.ELContext elContext,
                                                            String expression,
                                                            Class returnType,
                                                            Class[] paramTypes)

  Specified by:
    `createMethodExpression` in class `javax.el.ExpressionFactory`

### createValueExpression

    public javax.el.ValueExpression createValueExpression(Object instance,
                                                          Class expectedType)

  Specified by:
    `createValueExpression` in class `javax.el.ExpressionFactory`

### createValueExpression

    public javax.el.ValueExpression createValueExpression(javax.el.ELContext elContext,
                                                          String expression,
                                                          Class expectedType)

  Specified by:
    `createValueExpression` in class `javax.el.ExpressionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD